Package org.apache.jasper.tagplugins.jstl.core

## Class Out

- java.lang.Object
- - org.apache.jasper.tagplugins.jstl.core.Out

- All Implemented Interfaces:
    `TagPlugin`

      public final class Out
      extends java.lang.Object
      implements TagPlugin

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Out()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doTag​(TagPluginContext ctxt)` | Generate codes for a custom tag.
    `static boolean` | `output​(JspWriter out, java.lang.Object input, java.lang.String value, java.lang.String defaultValue, boolean escapeXml)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Out

          public Out()

  - ### Method Detail

    - #### doTag

          public void doTag​(TagPluginContext ctxt)

      Description copied from interface: `TagPlugin`
      Generate codes for a custom tag.
      Specified by:
        `doTag` in interface `TagPlugin`
      Parameters:
        `ctxt` - a TagPluginContext for accessing Jasper functions

    - #### output

          public static boolean output​(JspWriter out,
                                       java.lang.Object input,
                                       java.lang.String value,
                                       java.lang.String defaultValue,
                                       boolean escapeXml)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`